<!doctype html>
<html lang="en">

	<head>
		<meta charset="utf-8">

		  <title>Evaluation of Multilingual BERT in a Diachronic, Multilingual, and Multi-Genre Corpus of Bibles</title>

		  <meta name="description" content="Evaluation of Multilingual BERT in a Diachronic, Multilingual, and Multi-Genre Corpus of Bibles">
		<meta name="author" content="Dr. José Calvo Tello">
		  <meta name="author" content="Dr. Javier de la Rosa">
		    
		<meta name="apple-mobile-web-app-capable" content="yes">
		<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">

		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<link rel="stylesheet" href="../../lib/reveal/dist/reset.css">
		<link rel="stylesheet" href="../../lib/reveal/dist/reveal.css">
			<link rel="stylesheet" href="../../lib/reveal/dist/theme/white.css" id="theme">
				<link rel="stylesheet" href="custom.css">

		<!-- Theme used for syntax highlighting of code -->
		<link rel="stylesheet" href="../../lib/reveal/plugin/highlight/monokai.css" id="highlight-theme">
	</head>

	<body>

        <div class="reveal">
            <div class="slides">
              
				<section data-markdown="" data-separator="^\n---\n" data-separator-vertical="^\n--\n" data-charset="utf-8">
					<script type="text/template">
<!-- .slide: class="firstSlide" -->			
## Evaluation of Multilingual BERT in a Diachronic, Multilingual, and Multi-Genre Corpus of Bibles

<!--
###### Digital Humanities conference 2022, Responding to Asian diversity, 27.07.2022, Tokyo (virtual)
-->
<img data-src="./img/dh22.png" width="200" float="left" vertical-align= "sub"/>
			  
					  
<hr />

* Dr. José Calvo Tello 
<img data-src="./../../images/GAU_SUB_horizontal_cmyk_2022_p.jpg" width="500" float="left" vertical-align= "sub"/>
* Dr. Javier de la Rosa 
<img data-src="./img/NLN.png" width="200" float="left" vertical-align= "sub"/>

---

# BERT and the Humanities (Javier?)

---

# Corpus of Bible Translations (José?)


--

## Multilingual corpora
- Texts produced originally in each analyzed language and period (ELTeC)
- Translations

--

# Bible
- Most translated *book* in history
- Middle-size corpus 56 books (Genesis, Psalms, Gospel of Mark, Revelation, etc.)
- Multilingual: Hebrew, Greek and Aramaic
- Multi-genre
- Standardized references at (almost) sentence level through book, chapter, verse
- Interesting for several academic disciplines: Theology, history, philosophy, history of art, linguistics, literature...
- Long tradition in Corpus Linguistics and Digital Humanities


--

# Corpus of Bible Translations

* 221 translations
* 11,455 books, e.g. Genesis and Psalms
* 54 languages from all continents
* Sources:
  * Zefania-XML-bible
  * Bible Gateway


--

#### Genesis 1 1 (GEN.001.001) in 17 languages (out of 54 languages!)

- **Arabic** في البدء خلق الله السموات والارض.
- **Cebuano** ¶ Sa sinugdan gibuhat sa Dios ang mga langit ug ang yuta.
- **Chinese** 起 初 　 神 創 造 天 地 。
- **English** In the beginning God created the heaven and the earth.
- **Esperanto** En la komenco Dio kreis la cxielon kaj la teron.
- **German** Am Anfang schuf GOtt Himmel und Erde.
- **Greek** εν           αρχη           εποιησεν           ο           θεος           τον           ουρανον           και           την           γην
- **Haitian** ¶ Nan konmansman, Bondye kreye syèl la ak latè a.
- **Hebrew** בְּרֵאשִׁית בָּרָא אֱלֹהִים אֵת הַשָּׁמַיִם וְאֵת הָאָרֶץ ׃
- **Klingoln** Daq the  tagh  joH'a' the  chal  je the  tera'.
- **Korean** 태초에 하나님이 천지를 창조하시니라 !
- **Latin** in principio creavit Deus caelum et terram  
- **Norwegian** I upphavet skapte Gud himmelen og jordi.
- **Spanish** EN el principio crió Dios los cielos y la tierra.
- **Syriac** ܟܬܒܐ ܕܝܠܝܕܘܬܗ ܕܝܫܘܥ ܡܫܝܚܐ ܒܪܗ ܕܕܘܝܕ ܒܪܗ ܕܐܒܪܗܡ ܀
- **Vietnamese** Ban đầu Đức Chúa Trời dựng nên trời đất.
- **Ukranian** На початку Бог створив Небо та землю.

--

<img data-src="./img/figure01a_bar_plot_translations.png" width="700"/>


--

<img data-src="./img/figure01b_swarm_plot_translations.png" width="700"/>


---

# Methods (Javier?)

---

# Hypothesis and Results (José?)

--

## 1st Hypothesis: Presence of language in the mBERT pre-training

* Hypothesis: Languages in the mBERT pre-train dataset should obtain better results in the five metrics

--

<img data-src="./img/figure3a-e.png" width="450"/>

--

## 1st Hypothesis:  Presence of language in the mBERT pre-training
## Results

* Hypothesis supported by 3 of the 5 criteria: the number of unknown-tokens (Figure 3a) and the classification results on genre and Testament (Figure 3c and 3e).

<img data-src="./img/figure3a-e.png" width="200"/>

--

## 2nd Hypothesis: Wikipedia's size


* Hypothesis: the Wikipedia sizes correlate with the metrics.

--

## 2nd Hypothesis: Wikipedia's size

## Results

<img data-src="./img/figure4a-e.png" width="450"/>

* While this is rejected for tokenization (Figures 4a-b), the classification results show statistical moderate correlations (Figures 4c-e)


--

## 3rd Hypothesis: Romance and Germanic languages

* Hypothesis: We expect texts in Romance and Germanic languages to score better than the rest of the languages.

<img data-src="./img/figure5_classification_family_languages.png" width="450"/>


--

<img data-src="./img/figure6a-e_p250.png" width="450"/>

--

## 3rd Hypothesis: Romance and Germanic languages
## Results

* Results: Romance and Germanic languages obtain better results than the rest for the five metrics. 

<img data-src="./img/figure6a-e_p250.png" width="200"/>

--

# 4th Hypothesis: Latin script
* Hypothesis: translations using Latin script will score better than translations in other scripts

<img data-src="./img/figure7_unknown_tokens__alphabet.png" width="450"/>


--

<img data-src="./img/figure8a-e.png" width="450"/>


--

# 4th Hypothesis: Latin script
## Results
* The five criteria support this hypothesis (Figures 8a-e).
* Possible explanation for the good overall results for some low-resource languages with small or no Wikipedia, but written in Latin script.

<img data-src="./img/figure8a-e.png" width="200"/>

--

# 5th Hypothesis: Modern translation
* Hypothesis: we expect better results for contemporary translations (20th and 21st century)
* We obtained the year of publication for 68% of the corpus

<img data-src="./img/figure9_classification_centuries.png" width="450"/>

--

<img data-src="./img/figure10a-e.png" width="450"/>

--

# 5th Hypothesis: Modern translation
## Results
* Only one metric supports this hypothesis: unknown-tokens metric (Figures 10a)


---

# Conclusions (José?)

--
# Conclusions

- Bible as DH dataset for comparing technologies across:
  - languages
  - scripts
  - genres
  - periods

--
# Conclusions

Which languages can expect decent results from mBERT?
- Texts written in languages:
  - with large Wikipedias, or
  - Romance and Germanic languages, or
  - **written in Latin script**
- Texts after 17th Century
- Better results than expected

--

# Which languages are a challenge for mBERT?
- Historical languages written in scripts which are not used in today's Wikipedia:
  - Examples: Coptic, Syriac
- Texts before the 16th Century


--

# Possible solutions
- Long run:
  - More training material
  - More Wikipedias
- Short run:
  - Transliteration into Latin script
  - Modenization
  - Cultural imposition? 

--

#### Writing systems as ancient technologies which affect the application of new digital technologies (mBERT)


---
<img data-src="./../../images/gracias.png" width="700"/>

# for the attention



					</script>
				</section>
            </div>
        </div>

        <script src="../../lib/reveal/dist/reveal.js"></script>
        <script src="../../lib/reveal/plugin/zoom/zoom.js"></script>
        <script src="../../lib/reveal/plugin/notes/notes.js"></script>
        <script src="../../lib/reveal/plugin/search/search.js"></script>
        <script src="../../lib/reveal/plugin/markdown/markdown.js"></script>
        <script src="../../lib/reveal/plugin/highlight/highlight.js"></script>
        <script>
    
          // Also available as an ES module, see:
          // https://revealjs.com/initialization/
          Reveal.initialize({
            controls: true,
            progress: true,
            center: true,
            hash: true,
    
            // Learn about plugins: https://revealjs.com/plugins/
            plugins: [ RevealZoom, RevealNotes, RevealSearch, RevealMarkdown, RevealHighlight ]
          });
    
        </script>
    
      </body>
    </html>
    